commit:     a9dfef0711b905ff1cdf54c8dfe587bb041559fe
Author:     Martin Dummer <martin.dummer <AT> gmx <DOT> net>
AuthorDate: Sun Jul 14 12:19:15 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Aug  1 04:18:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9dfef07

media-plugins/vdr-xineliboutput: add 2.3.0

Closes: https://bugs.gentoo.org/739770
Signed-off-by: Martin Dummer <martin.dummer <AT> gmx.net>
Part-of: https://github.com/gentoo/gentoo/pull/37550
Closes: https://github.com/gentoo/gentoo/pull/37550
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-plugins/vdr-xineliboutput/Manifest           |   2 +
 media-plugins/vdr-xineliboutput/files/confd-2.3.0  |  49 ++++++
 .../vdr-xineliboutput-2.3.0.ebuild                 | 173 +++++++++++++++++++++
 3 files changed, 224 insertions(+)

diff --git a/media-plugins/vdr-xineliboutput/Manifest 
b/media-plugins/vdr-xineliboutput/Manifest
index c2fec1236e88..982933ca4329 100644
--- a/media-plugins/vdr-xineliboutput/Manifest
+++ b/media-plugins/vdr-xineliboutput/Manifest
@@ -1,2 +1,4 @@
 DIST vdr-xineliboutput-2.2.0.tgz 426058 BLAKE2B 
8a5e325e0dd45dffdbcf1b9e49d4ae2486d3b3c7585dbca81855264a0a9057c48da7626acd5e9d7b2113b200eead178b19a0d9834ace5d25cd97157912d50bfa
 SHA512 
d3b753fe496c6f73d491195cc1dac3333a46f2ef6350683fc15e3e8a423a90946574c3fdf0ed43727d61f007a8abdf3041e274317216bf06a8146dc9206f88d9
 DIST vdr-xineliboutput-2.2.0_clang.patch.bz2 7405 BLAKE2B 
80d4a0ca3673f61cd14538c2fbdc03017f8c993a55b4c3de0349c799b7239052bc452fbd78689e9ccace2e865b4d08ec69365ed9ad6900e08205676135dac3b9
 SHA512 
c02cc9a6ee8c9b3458dec6439ea4fa85421f3ac01828e65b123d13db689a75cbba5622a7e1fd76066a19a714c2debdb08f4c78139573a4563aefab19107a5512
+DIST vdr-xineliboutput-2.3.0.tgz 429929 BLAKE2B 
39d8e12a4d962e83060a822e670f8d44511bf6e9811957a6be563b837f9c348605edade59d82c8d3800044a5ffda0bb05be9ae8465d9b93f98808d0cb9c881a4
 SHA512 
fdb7d2988bcc8f76f93431036f8bdbf3b9a6d6259dc21bec1b1a98ea2b78afa995ed0d5157c3fbaf586a2c85567ca10e1b700cf8097199fd3363b8486f6f2df6
+DIST vdr-xineliboutput-2.3.0_clang.patch 48272 BLAKE2B 
cfa74ae2fe95384a184b12a7fbba99d7508f137d0128ee743ba1e0e9bdf8a3dd0202de92e21292639c8e377653184e5a6d6b82c927e28f32f69043f15386f259
 SHA512 
42ee6608177524d472063f9c428bd47f35fda2f90b5820188e44eb5cf0c86d2872429354201871e4950dbc5ef0a81b80540702a2607934bf0abfe5037825c7a9

diff --git a/media-plugins/vdr-xineliboutput/files/confd-2.3.0 
b/media-plugins/vdr-xineliboutput/files/confd-2.3.0
new file mode 100644
index 000000000000..0c3ebd47add6
--- /dev/null
+++ b/media-plugins/vdr-xineliboutput/files/confd-2.3.0
@@ -0,0 +1,49 @@
+#
+# Usage examples (VDR plugin)
+#
+#  If no arguments are given, both X11 and framebuffer frontends are tried.
+#  First working frontend is used with best available video driver.
+#  Complete list of available command-line arguments can be obtained
+#  with "vdr --help".
+#
+#  Only local frontend, X11/Xv video, alsa audio:
+#    _EXTRAOPTS="--local=sxfe --video=xv --audio=alsa --remote=none"
+#
+#  Only local frontend, (slow) X11 video, oss audio:
+#    _EXTRAOPTS="--local=sxfe --video=x11 --audio=oss --remote=none"
+#
+#  Only local frontend, DirectFB:
+#    _EXTRAOPTS="--local=fbfe --video=DirectFB --remote=none"
+#
+#  Only remote frontend(s):
+#    _EXTRAOPTS="--local=none --remote=37890"
+#
+#  Local and remote frontends:
+#    _EXTRAOPTS="--local=sxfe --remote=37890"
+#  or
+#    _EXTRAOPTS="--local=fbfe --remote=37890"
+#
+#
+_EXTRAOPTS="--local=none --remote=37890"
+
+###################################################
+#       start sxfe remote frontend                #
+###################################################
+#
+# We do not add any start up paramaters by default
+# Please refer for detailed info to
+# media-plugins/vdr-xineliboutput README
+# --> Using remote frontends
+#
+# Example:
+# --display=:1.0 --silent --fullscreen --syslog --reconnect xvdr://localhost 
&>/dev/null
+#
+# init script --> vdr-frontend
+#
+# DEBUG REQUEST: do we need sxfb support? feedback please!
+#
+# sxfe start parameter
+#      allowed values: see README
+#      default: no paramters given
+#
+#REMOTE_FRONTEND=""

diff --git a/media-plugins/vdr-xineliboutput/vdr-xineliboutput-2.3.0.ebuild 
b/media-plugins/vdr-xineliboutput/vdr-xineliboutput-2.3.0.ebuild
new file mode 100644
index 000000000000..b4a5d1c1ebdb
--- /dev/null
+++ b/media-plugins/vdr-xineliboutput/vdr-xineliboutput-2.3.0.ebuild
@@ -0,0 +1,173 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs vdr-plugin-2
+
+GENTOO_VDR_CONDITIONAL=yes
+
+DESCRIPTION="VDR Plugin: Xinelib PlugIn"
+HOMEPAGE="https://sourceforge.net/projects/xineliboutput/";
+SRC_URI="https://downloads.sourceforge.net/project/${PN#vdr-}/${PN#vdr-}/${P}/${P}.tgz
+       
https://gist.githubusercontent.com/madmartin/3f241614c54f91cdc87de9839f452547/raw/d4ce2c3d65bb90e0570531f4999e3f5094d90fc6/${P}_clang.patch";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bluray caps cec dbus fbcon jpeg nls opengl +vdr vaapi vdpau wayland +X 
+xine xinerama"
+
+COMMON_DEPEND="
+       vdr? (
+               media-video/vdr
+               caps? ( sys-libs/libcap )
+       )
+
+       xine? (
+               ( >=media-libs/xine-lib-1.2
+                       media-video/ffmpeg )
+               fbcon? ( jpeg? ( media-libs/libjpeg-turbo:= ) )
+               X? (
+                       x11-libs/libX11
+                       x11-libs/libXext
+                       x11-libs/libXrender
+                       bluray? ( media-libs/libbluray )
+                       dbus? ( dev-libs/dbus-glib dev-libs/glib:2 )
+                       jpeg? ( media-libs/libjpeg-turbo:= )
+                       opengl? ( virtual/opengl )
+                       vaapi? ( media-libs/libva 
>=media-libs/xine-lib-1.2[vaapi] )
+                       vdpau? ( x11-libs/libvdpau 
>=media-libs/xine-lib-1.2[vdpau] )
+                       xinerama? ( x11-libs/libXinerama )
+               )
+               wayland? (
+                       >=media-libs/xine-lib-1.2.10[wayland]
+                       bluray? ( media-libs/libbluray )
+                       dbus? ( dev-libs/dbus-glib dev-libs/glib:2 )
+                       jpeg? ( media-libs/libjpeg-turbo:= )
+                       opengl? ( virtual/opengl )
+                       vaapi? ( media-libs/libva 
>=media-libs/xine-lib-1.2.10[vaapi] )
+                       vdpau? ( x11-libs/libvdpau 
>=media-libs/xine-lib-1.2.10[vdpau] )
+               )
+       )"
+
+DEPEND="${COMMON_DEPEND}
+       sys-kernel/linux-headers
+       nls? ( sys-devel/gettext )
+       xine? (
+               X? (
+                       x11-base/xorg-proto
+                       x11-libs/libXxf86vm
+               )
+       )"
+RDEPEND="${COMMON_DEPEND}"
+BDEPEND="acct-user/vdr
+       virtual/pkgconfig"
+
+REQUIRED_USE=" || ( vdr xine )"
+
+VDR_CONFD_FILE="${FILESDIR}/confd-${PV}"
+
+pkg_setup() {
+       vdr-plugin-2_pkg_setup
+
+       if use xine; then
+               XINE_PLUGIN_DIR=$($(tc-getPKG_CONFIG) --variable=plugindir 
libxine)
+               [ -z "${XINE_PLUGIN_DIR}" ] && die "Could not find xine plugin 
dir"
+       fi
+}
+
+src_prepare() {
+       vdr-plugin-2_src_prepare
+
+       # bug 711978
+       sed -e "s:X11  opengl:X11  OpenGl:" -i configure || die
+
+       eapply "${DISTDIR}/${P}_clang.patch"
+}
+
+src_configure() {
+       local myconf
+
+       if has_version ">=media-libs/xine-lib-1.2"; then
+               myconf="${myconf} --enable-libavutil"
+       else
+               myconf="${myconf} --disable-libavutil"
+       fi
+
+       # No autotools based configure script
+       ./configure \
+               --cc="$(tc-getCC)" \
+               --cxx="$(tc-getCXX)" \
+               $(use_enable X x11) \
+               $(use_enable X xshm) \
+               $(use_enable X xdpms) \
+               $(use_enable X xshape) \
+               $(use_enable X xrandr) \
+               $(use_enable X xrender) \
+               $(use_enable fbcon fb) \
+               $(use_enable vdr) \
+               $(use_enable xine libxine) \
+               --disable-libextractor \
+               $(use_enable caps libcap) \
+               $(use_enable cec libcec) \
+               $(use_enable jpeg libjpeg) \
+               $(use_enable xinerama) \
+               $(use_enable dbus dbus-glib-1) \
+               $(use_enable nls i18n) \
+               $(use_enable bluray libbluray) \
+               $(use_enable opengl) \
+               $(use_enable wayland) \
+               ${myconf} \
+               || die
+
+       # UINT64_C is needed by ffmpeg headers
+       append-cxxflags -D__STDC_CONSTANT_MACROS
+}
+
+src_install() {
+       if use vdr; then
+               vdr-plugin-2_src_install
+
+               # bug 346989
+               insinto /etc/vdr/plugins/xineliboutput/
+               doins examples/allowed_hosts.conf
+               fowners -R vdr:vdr /etc/vdr/
+
+               if use nls; then
+                       emake DESTDIR="${D}" i18n
+               fi
+
+               if use xine; then
+                       newinitd "${FILESDIR}"/vdr-frontend-r1 vdr-frontend
+
+                       insinto $XINE_PLUGIN_DIR
+                       doins xineplug_inp_xvdr.so
+
+                       insinto $XINE_PLUGIN_DIR/post
+                       doins xineplug_post_*.so
+
+                       if use fbcon; then
+                               dobin vdr-fbfe
+
+                               insinto $VDR_PLUGIN_DIR
+                               doins libxineliboutput-fbfe.so.*
+                       fi
+
+                       if use X; then
+                               dobin vdr-sxfe
+
+                               insinto $VDR_PLUGIN_DIR
+                               doins libxineliboutput-sxfe.so.*
+                       fi
+                       if use wayland; then
+                               dobin vdr-wlfe
+
+                               insinto $VDR_PLUGIN_DIR
+                               doins libxineliboutput-wlfe.so.*
+                       fi
+               fi
+       else
+               emake DESTDIR="${D}" install
+       fi
+       dodoc HISTORY README
+}

Reply via email to